<?php
	
	//Shortcode Hooks
	add_shortcode('clear', 'themezee_column_clear');
	add_shortcode('raw', 'themezee_column_raw');
	add_shortcode('one', 'themezee_column_one');
	add_shortcode('one_half', 'themezee_column_one_half');
	add_shortcode('one_third', 'themezee_column_one_third');
	add_shortcode('two_thirds', 'themezee_column_two_thirds');
	add_shortcode('one_fourth', 'themezee_column_one_fourth');
	add_shortcode('three_fourths', 'themezee_column_three_fourths');
	
	//One Function
	function themezee_column_one($atts, $content = null) {
		
		return '<div class="column one">'.do_shortcode($content).'</div>';
		
	}
	
	//clear function
	function themezee_column_raw($atts, $content = null) {
		
		return $content;
		
	}
	
	//raw function
	function themezee_column_clear($atts, $content = null) {
		
		return '<div class="column clear"></div>';
		
	}
	
	//One-half Function
	function themezee_column_one_half($atts, $content = null) {
		
		extract(shortcode_atts(array(
		
			'last' => ''
		
		), $atts));
		
		return '<div class="column one-half'.ifLast($last).'">'.do_shortcode($content).'</div>';
		
	}
	
	//One-third Function
	function themezee_column_one_third($atts, $content = null) {
		
		extract(shortcode_atts(array(
		
			'last' => ''
		
		), $atts));
		
		return '<div class="column one-third'.ifLast($last).'">'.do_shortcode($content).'</div>';
		
	}
	
	//Two-thirds Function
	function themezee_column_two_thirds($atts, $content = null) {
		
		extract(shortcode_atts(array(
		
			'last' => ''
		
		), $atts));
		
		return '<div class="column two-thirds'.ifLast($last).'">'.do_shortcode($content).'</div>';
		
	}
	
	//one-fourth Function
	function themezee_column_one_fourth($atts, $content = null) {
		
		extract(shortcode_atts(array(
		
			'last' => ''
		
		), $atts));
		
		return '<div class="column one-fourth'.ifLast($last).'">'.do_shortcode($content).'</div>';
		
	}
	
	//three-fourth Function
	function themezee_column_three_fourths($atts, $content = null) {
		
		extract(shortcode_atts(array(
		
			'last' => ''
		
		), $atts));
		
		return '<div class="column three-fourths'.ifLast($last).'">'.do_shortcode($content).'</div>';
		
	}
	
	//if last function
	function ifLast($last) {
		
		if($last == 'last') {
			
			return ' last';
			
		}
		
	}
	
	// Add TinyMCE Buttons
	function themezee_simple_columns() {
		
		echo "<script type='text/javascript'>

		/* <![CDATA[ */ 
		
		edButtons[edButtons.length] = new edButton('zee_one',
		
			'one',
			'[one] ',
			' [/one] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_one_half',
		
			'1/2',
			'[one_half] ',
			' [/one_half] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_one_half_last',
		
			'1/2 last',
			'[one_half last=\"last\"] ',
			' [/one_half] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_one_third',
		
			'1/3',
			'[one_third] ',
			' [/one_third] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_one_third_last',
		
			'1/3 last',
			'[one_third last=\"last\"] ',
			' [/one_third] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_two_thirds',
		
			'2/3',
			'[two_thirds] ',
			' [/two_thirds] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_two_thirds_last',
		
			'2/3 last',
			'[two_thirds last=\"last\"] ',
			' [/two_thirds] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_one_fourth',
		
			'1/4',
			'[one_fourth] ',
			' [/one_fourth] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_one_fourth_last',
		
			'1/4 last',
			'[one_fourth last=\"last\"] ',
			' [/one_fourth] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_three_fourths',
		
			'3/4',
			'[three_fourths] ',
			' [/three_fourths] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_three_fourths_last',
		
			'3/4 last',
			'[three_fourths last=\"last\"] ',
			' [/three_fourths] ',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_clear',
		
			'clear',
			'\\n[clear]\\n',
			'',
			''
		
		);
		
		edButtons[edButtons.length] = new edButton('zee_raw',
		
			'raw',
			'[raw] ',
			' [/raw] ',
			''
		
		);

		/* ]]> */ 

		</script>";
	}
	
	// Add Action
	add_action('admin_head','themezee_simple_columns');
?>