(function() {
	
	// Load plugin specific language pack
	tinymce.PluginManager.requireLangPack('themezee_shortcode_tabs');
	
	tinymce.create('tinymce.plugins.themezee_shortcode_tabs', {		 
		init : function(ed, url) {
			
			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
			ed.addCommand('mce_themezee_shortcode_tabs', function() {
				
				ed.windowManager.open({
					
					file : url + '/lightbox.php',
					width : 360 + ed.getLang('themezee_shortcode_tabs.delta_width', 0),
					height : 120 + ed.getLang('themezee_shortcode_tabs.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});

			// Register example button
			ed.addButton('themezee_shortcode_tabs', {
				
				title : 'Shortcodes: Tabs',
				cmd : 'mce_themezee_shortcode_tabs',
				image : url + '/tabs.png'
				
			});

			// Add a node change handler, selects the button in the UI when a image is selected
			ed.onNodeChange.add(function(ed, cm, n) {
				
				cm.setActive('mce_themezee_shortcode_tabs', n.nodeName == 'IMG');
				
			});
		}
	});

	// Register plugin
	tinymce.PluginManager.add('themezee_shortcode_tabs', tinymce.plugins.themezee_shortcode_tabs);
	
})();