<?php
	// Add Theme Tabbed Widget
	if ( function_exists('register_sidebar') ) {
		register_sidebar(
			array(
				'name' => 'Tabs Widget Area',
				'id' => 'theme_tabbed_widget',
				'description' => __('Build your tabbed area by placing widgets here. IMPORTANT: DO NOT PLACE THE zeeTabs Widget IN THIS AREA!! Place the zeeTabs Widget in another widget area.', ZEE_LANG),
				'before_widget' => '<div id="%1$s" class="tabdiv">',
				'after_widget' => '</div>',
				'before_title' => '<h5>',
				'after_title' => '</h5>'
			)
		);
	}

	class Theme_Tabbed_Widget extends WP_Widget {
		function Theme_Tabbed_Widget() {
			$widget_ops = array('classname' => 'theme_tabs', 'description' => __('Show built-in Tab Widget', ZEE_LANG) );
			$this->WP_Widget('theme_tabs', 'zeeTabs Widget', $widget_ops);
		}
	 
		function widget($args, $instance) {
			global $wp_registered_widgets;
			
			extract($args, EXTR_SKIP);
			$title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
			$tab1 = empty($instance['tab1']) ? '' : apply_filters('widget_title', $instance['tab1']);
			$tab2 = empty($instance['tab2']) ? '' : apply_filters('widget_title', $instance['tab2']);
			$tab3 = empty($instance['tab3']) ? '' : apply_filters('widget_title', $instance['tab3']);
			$tab4 = empty($instance['tab4']) ? '' : apply_filters('widget_title', $instance['tab4']);
			$tab5 = empty($instance['tab5']) ? '' : apply_filters('widget_title', $instance['tab5']);
			
			$tab_titles = array($tab1, $tab2, $tab3, $tab4, $tab5);
			
			$tabs = wp_get_sidebars_widgets();
			$tabs_navi = $tabs['theme_tabbed_widget'];
			$tabs_navi = array_slice($tabs_navi, 0, 5);
			
			// Output
			echo $before_widget;
			if ( !empty( $title ) ) { echo $before_title . $title . $after_title; };	
		?>	
			<div id="tabs">
				<ul id="tabs_navi">
				<?php 
					$i = 0;
					foreach ($tabs_navi as $tab_id) { ?>
						<li><a href="#<?php echo $tab_id; ?>"><?php echo $tab_titles[$i]; ?></a></li>
				<?php 
					$i++;
					} ?>
					
				</ul>
		<?php
					if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Tabs Widget Area') ) :
					endif;
		?>
			
			</div>
			
			
		<?php
			echo $after_widget;
		}
		
		function update($new_instance, $old_instance) {
			$instance = $old_instance;
			$instance['title'] = strip_tags($new_instance['title']);
			$instance['tab1'] = strip_tags($new_instance['tab1']);
			$instance['tab2'] = strip_tags($new_instance['tab2']);
			$instance['tab3'] = strip_tags($new_instance['tab3']);
			$instance['tab4'] = strip_tags($new_instance['tab4']);
			$instance['tab5'] = strip_tags($new_instance['tab5']);
			return $instance;
		}
	 
		function form($instance) {
			$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'tab1' => '', 'tab2' => '', 'tab3' => '', 'tab4' => '', 'tab5' => '') );
			$title = strip_tags($instance['title']);
			$tab1 = strip_tags($instance['tab1']);
			$tab2 = strip_tags($instance['tab2']);
			$tab3 = strip_tags($instance['tab3']);
			$tab4 = strip_tags($instance['tab4']);
			$tab5 = strip_tags($instance['tab5']);
		?>
			<p><label for="<?php echo $this->get_field_id('title'); ?>">Widget <?php _e('Title', ZEE_LANG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
			<p><label for="<?php echo $this->get_field_id('tab1'); ?>">Tab 1 <?php _e('Title', ZEE_LANG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('tab1'); ?>" name="<?php echo $this->get_field_name('tab1'); ?>" type="text" value="<?php echo esc_attr($tab1); ?>" /></label></p>
			<p><label for="<?php echo $this->get_field_id('tab2'); ?>">Tab 2 <?php _e('Title', ZEE_LANG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('tab2'); ?>" name="<?php echo $this->get_field_name('tab2'); ?>" type="text" value="<?php echo esc_attr($tab2); ?>" /></label></p>
			<p><label for="<?php echo $this->get_field_id('tab3'); ?>">Tab 3 <?php _e('Title', ZEE_LANG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('tab3'); ?>" name="<?php echo $this->get_field_name('tab3'); ?>" type="text" value="<?php echo esc_attr($tab3); ?>" /></label></p>
			<p><label for="<?php echo $this->get_field_id('tab4'); ?>">Tab 4 <?php _e('Title', ZEE_LANG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('tab4'); ?>" name="<?php echo $this->get_field_name('tab4'); ?>" type="text" value="<?php echo esc_attr($tab4); ?>" /></label></p>
			<p><label for="<?php echo $this->get_field_id('tab5'); ?>">Tab 5 <?php _e('Title', ZEE_LANG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('tab5'); ?>" name="<?php echo $this->get_field_name('tab5'); ?>" type="text" value="<?php echo esc_attr($tab5); ?>" /></label></p>
		<?php
		}
	}
	register_widget('Theme_Tabbed_Widget');
?>