<?php

class zeeTwitter extends WP_Widget {
 
	function zeeTwitter() {
        $widget_ops = array('classname' => 'widget_zee_twitter', 'description' => __('Show your latest Tweets', ZEE_LANG) );
		$this->WP_Widget('zee_twitter', 'zeeTwitter Widget', $widget_ops);
    
    }
 
    function widget($args, $instance) {        
        extract( $args );
        
        $title	= empty($instance['title']) ? __('Latest Tweets', ZEE_LANG) : $instance['title'];
        $user	= empty($instance['user']) ? 'themezee'	: $instance['user'];
        $link	= $instance['twitter_link'] ? 1 : 0;
        $label	= empty($instance['twitter_label']) ? __('More updates on Twitter', ZEE_LANG) : $instance['twitter_label'];
        if ( !$nr = (int) $instance['twitter_nr'] )
			$nr = 5;
		else if ( $nr < 1 )
			$nr = 1;
		else if ( $nr > 15 )
			$nr = 15;
 
        ?>
			<?php echo $before_widget; ?>
				<?php echo $before_title . $title . $after_title; ?>
				
				<div id="twitter_div">
					<ul id="twitter_update_list"><li></li></ul>
					
					<script type="text/javascript" src="http://twitter.com/javascripts/blogger.js"></script>
					<script type="text/javascript" src="http://twitter.com/statuses/user_timeline/<?php echo $user; ?>.json?callback=twitterCallback2&amp;count=<?php echo $nr; ?>"></script>
					  
					<?php if($link == 1) : ?>
						<p><a id="twitter_link" href="http://twitter.com/<?php echo $user; ?>"><?php echo $label; ?></a></p>
					<?php endif; ?>
				</div>
				
			<?php echo $after_widget; ?>
        <?php
    }

    function update($new_instance, $old_instance) {  
    
    	$instance['title'] = strip_tags($new_instance['title']);
    	$instance['user'] = strip_tags($new_instance['user']);
    	$instance['twitter_link'] = $new_instance['twitter_link'] ? 1 : 0;
    	$instance['twitter_label'] = strip_tags($new_instance['twitter_label']);
    	$instance['twitter_nr'] = (int) $new_instance['twitter_nr'];
                  
        return $new_instance;
    }
 
    function form($instance) {
        
		$instance	= wp_parse_args( (array) $instance, array( 'title' => '', 'user' => '', 'twitter_link' => '', 'twitter_label' => '', 'twitter_nr' => '') );
		$title 		= strip_tags($instance['title']);
		$user		= empty($instance['user']) ? 'themezee'	: $instance['user'];
		$link 		= strip_tags($instance['twitter_link']);
		$label 		= strip_tags($instance['twitter_label']);
		if (!$nr = (int) $instance['twitter_nr']) $nr = 5;
?>

		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('user'); ?>"><?php _e('User'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('user'); ?>" name="<?php echo $this->get_field_name('user'); ?>" type="text" value="<?php echo esc_attr($user); ?>" />
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('twitter_nr'); ?>"><?php _e('Number of tweets to show', ZEE_LANG); ?>:</label>
			<input id="<?php echo $this->get_field_id('twitter_nr'); ?>" name="<?php echo $this->get_field_name('twitter_nr'); ?>" type="text" value="<?php echo $nr; ?>" size="3" /><br />
			<small><?php _e('(at most 15)'); ?></small>
		</p>
		
		<p>
			<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('twitter_link'); ?>" name="<?php echo $this->get_field_name('twitter_link'); ?>" <?php if( $link ) echo 'checked="checked"'; ?> />
			<label for="<?php echo $this->get_field_id('twitter_link'); ?>"><?php _e('Show link to Twitter', ZEE_LANG); ?></label>		
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('twitter_label'); ?>"><?php _e('Link label', ZEE_LANG); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('twitter_label'); ?>" name="<?php echo $this->get_field_name('twitter_label'); ?>" type="text" value="<?php echo esc_attr($label); ?>" />
			</label>
		</p>
		
<?php
	}

}
register_widget('zeeTwitter');
?>